import type { match, RouteProps } from "react-router";
export type MatchRoute = <Params extends {
    [K in keyof Params]?: string;
}>(route: string | string[] | RouteProps) => match<Params> | null;
declare const matchRouteInjectable: import("@ogre-tools/injectable").Injectable<MatchRoute, unknown, void>;
export default matchRouteInjectable;
